package epson.support;

import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.os.Bundle;
import android.view.View;
import android.widget.TextView;
import epson.print.ActivityIACommon;
import epson.print.C2135R;

public class SupportAboutActivity extends ActivityIACommon implements View.OnClickListener {
    public void onClick(View view) {
    }

    /* access modifiers changed from: protected */
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView((int) C2135R.layout.help_about);
        setActionBar((int) C2135R.string.tv_help_about, true);
        try {
            PackageInfo packageInfo = getPackageManager().getPackageInfo(getPackageName(), 128);
            int i = packageInfo.versionCode;
            ((TextView) findViewById(C2135R.C2137id.version)).setText(getResources().getString(C2135R.string.about_ver) + " " + packageInfo.versionName + " (" + getString(C2135R.string.build_type) + getString(C2135R.string.build_count) + ")");
        } catch (PackageManager.NameNotFoundException e) {
            e.printStackTrace();
        }
    }
}
